Summary:		Tool for executing LLVM and Clang test suites
Name:			python-lit
Version:		16.0.6
Release:		5%{?dist}
License:		NCSA
URL:			https://pypi.python.org/pypi/lit
Source0:		%{pypi_source lit %{version}}

BuildRequires:		python3-devel python3-setuptools
BuildRequires:		llvm-test
BuildArch:		noarch

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-lit
Summary:		LLVM lit test runner for Python 3
Requires:		python3-setuptools

%description -n python3-lit
lit is is a portable tool for executing LLVM and Clang style test suites, 
summarizing their results, and providing indication of failures.

%prep
%autosetup -n lit-%{version}

%build
%py3_build

%install
%py3_install
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/lit/*.py

%check
%{__python3} lit.py -v tests

%files -n python3-lit
%license LICENSE.TXT
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/lit

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.0.6-5
- Rebuilt for loongarch release

* Mon Dec 25 2023 luffyluo <luffyluo@tencent.com> - 16.0.6-4
- Rebuilt for llvm 17.0.6

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.0.6-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.0.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 kianli <kianli@tencent.com> - 16.0.6-1
- Upgrade to 16.0.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Xiaojie Chen <jackxjchen@tencent.com> - 15.0.1-1
- Initial build
